//+------------------------------------------------------------------+
//|                                                 Info_FILLING.mq5 |
//|                        Copyright 2015, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2015, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"
#property version   "1.00"
#property strict
#property description "    "
#include<Trade\Trade.mqh>
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
// /     SYMBOL_FILLING_FOK   1
// /   SYMBOL_FILLING_IOC   2
//          
   Print("/, SYMBOL_FILLING_FOK: ",IsFillingTypeAllowed(Symbol(),SYMBOL_FILLING_FOK));
   Print("/, SYMBOL_FILLING_IOC: ",IsFillingTypeAllowed(Symbol(),SYMBOL_FILLING_IOC));
   Print(",  : ",IsFillingTypeAllowed(Symbol(),NULL));

   CTrade oTrade;
   switch((int)SymbolInfoInteger(Symbol(),SYMBOL_FILLING_MODE))
     {
      case SYMBOL_FILLING_FOK:
         Print("ORDER_FILLING_FOK");
         break;
      case SYMBOL_FILLING_IOC:
         Print("ORDER_FILLING_IOC");
         break;
      default:
         Print("ORDER_FILLING_RETURN");
     }
  }
//+------------------------------------------------------------------+ 
//|                  | 
//+------------------------------------------------------------------+ 
bool IsFillingTypeAllowed(string symbol,int fill_type)
  {
//---   ,    
   int filling=(int)SymbolInfoInteger(symbol,SYMBOL_FILLING_MODE);
//---  true,   fill_type  
   return((filling&fill_type)==fill_type);
  }
//+------------------------------------------------------------------+
